%global gem_name safe_yaml
%global enable_tests 0
Summary:             Parse YAML safely
Name:                rubygem-%{gem_name}
Version:             1.0.5
Release:             1
License:             MIT
URL:                 http://dtao.github.com/safe_yaml/
Source0:             https://rubygems.org/gems/%{gem_name}-%{version}.gem
# Fix Ruby 2.5 compatibility.
# https://github.com/dtao/safe_yaml/pull/90
BuildRequires:       ruby(release) rubygems-devel
%if 0%{?enable_tests}
BuildRequires:       rubygem(hashie) rubygem(rspec)
%endif
BuildArch:           noarch
%description
The SafeYAML gem provides an alternative implementation of
YAML.load suitable for accepting user input in Ruby applications.
Unlike Ruby's built-in implementation of YAML.load, SafeYAML's
version will not expose apps to arbitrary code execution exploits.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}
%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a ./%{gem_dir}/* %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{_bindir}
cp -a ./%{_bindir}/* %{buildroot}%{_bindir}
find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x
rm -rf %{buildroot}%{gem_instdir}/{.rvmrc,.document,.require_paths,.gitignore,.travis.yml,.rspec,.gemtest,.yard*}
rm -rf %{buildroot}%{gem_instdir}/%{gem_name}.gemspec
rm -rf %{buildroot}%{gem_instdir}/bundle_install_all_ruby_versions.sh
%if 0%{?enable_tests}

%check
pushd .%{gem_instdir}
rspec -Ilib spec
popd
%endif

%files
%{_bindir}/safe_yaml
%doc %{gem_instdir}/LICENSE.txt
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_instdir}/CHANGES.md
%doc %{gem_instdir}/README.md
%doc %{gem_docdir}
%{gem_instdir}/Rakefile
%{gem_instdir}/Gemfile
%{gem_instdir}/run_specs_all_ruby_versions.sh
%{gem_instdir}/spec

%changelog
* Thu Jun 30 2022 houyingchao <houyingchao@h-partners.com> - 1.0.5-1
- Upgrade to 1.0.5

* Wed Aug 19 2020 xiezheng <xiezheng4@huawei.com> - 1.0.4-1
- package init
